Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class ActionInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.ActionCategoryInfo
                  |
                  +--com.bea.wlpi.common.plugin.ActionInfo

public final class ActionInfo
extends ActionCategoryInfo

Provides information about an action defined by a plugin.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `PluginAction`, Serialized Form

Field Summary
`static int` | `ACTION_STATE_ALL` Flag indicating that this action is valid under all action states.
`static int` | `ACTION_STATE_COMMIT` Flag indicating that this action is valid in an exception handler.
`static int` | `ACTION_STATE_COMMIT_ASYNC` Flag indicating that this action is valid as an an asynchronously executed sub-action in an exception handler's commit path.
`static int` | `ACTION_STATE_COMMIT_SYNC` Flag indicating that this action is valid as a synchronously executed sub-action in an exception handler's commit path.
`static int` | `ACTION_STATE_NODE` Flag indicating that this action is valid in a node.
`static int` | `ACTION_STATE_NODE_ASYNC` Flag indicating that this action is valid as an asynchronously executed sub-action in a node.
`static int` | `ACTION_STATE_NODE_SYNC` Flag indicating that this action is valid as a synchronously executed sub-action in a node.
`static int` | `ACTION_STATE_ROLLBACK` Flag indicating that this action is valid as an an action in an exception handler's rollback path.
`static int` | `ACTION_STATE_ROLLBACK_ASYNC` Flag indicating that this action is valid as an an asynchronously executed sub-action in an exception handler's rollback path.
`static int` | `ACTION_STATE_ROLLBACK_SYNC` Flag indicating that this action is valid as a synchronously executed sub-action in an exception handler's rollback path.
`static int` | `ACTION_STATE_TRANS_ASYNC` The action has subactions that the system invokes asynchronously.
`static int` | `ACTION_STATE_TRANS_NONE` The action has no subactions.
`static int` | `ACTION_STATE_TRANS_SYNC` The action has subactions that the system invokes synchronously.
`static int` | `KEY_ACTION` Key value to retrieve the `PluginAction` implementation class name.
`static int` | `KEY_DATA` Key value to retrieve the `PluginActionData` implementation class name.
`static int` | `KEY_PANEL` Key value to retrieve the `PluginActionPanel` implementation class name.

Fields inherited from class com.bea.wlpi.common.plugin.ActionCategoryInfo
`ID_EXCEPTION, ID_INTEGRATION, ID_MISCELLANEOUS, ID_NEW, ID_TASK, ID_WORKFLOW, parentSystemID`

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`ActionInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, byte[] iconByteArray, int parentSystemID, int actionStateMask, int actionStateTrans, java.lang.String[] subActionLabels, java.lang.String[] classNames)` Create a new `ActionInfo` object.
`ActionInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, byte[] iconByteArray, int parentSystemID, int actionStateMask, java.lang.String[] classNames)` Create a new `ActionInfo` object.
`ActionInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, javax.swing.Icon icon, int parentSystemID, int actionStateMask, int actionStateTrans, java.lang.String[] subActionLabels, java.lang.String[] classNames)` Deprecated. To avoid using java.awt library.
`ActionInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, javax.swing.Icon icon, int parentSystemID, int actionStateMask, java.lang.String[] classNames)` Deprecated. To avoid using java.awt library.

Method Summary
`int` | `getActionStateTrans()` Return the action state transition caused by opening an action dialog.
`javax.swing.Icon` | `getIcon()` Return the plugin-provided icon for this action.
`java.lang.String[]` | `getSubActionLabels()` Return the localized labels to use for each subaction list.
`boolean` | `isValidActionState(int actionState)` Indicates if the specified action is valid in the specified action state.

Methods inherited from class com.bea.wlpi.common.plugin.ActionCategoryInfo
`getParentSystemID`

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_DATA

    public static final int KEY_DATA

  Key value to retrieve the `PluginActionData` implementation class name.

### KEY_PANEL

    public static final int KEY_PANEL

  Key value to retrieve the `PluginActionPanel` implementation class name.

### KEY_ACTION

    public static final int KEY_ACTION

  Key value to retrieve the `PluginAction` implementation class name.

### ACTION_STATE_TRANS_NONE

    public static final int ACTION_STATE_TRANS_NONE

  The action has no subactions.

### ACTION_STATE_TRANS_SYNC

    public static final int ACTION_STATE_TRANS_SYNC

  The action has subactions that the system invokes synchronously.

### ACTION_STATE_TRANS_ASYNC

    public static final int ACTION_STATE_TRANS_ASYNC

  The action has subactions that the system invokes asynchronously.

### ACTION_STATE_NODE

    public static final int ACTION_STATE_NODE

  Flag indicating that this action is valid in a node.

### ACTION_STATE_NODE_SYNC

    public static final int ACTION_STATE_NODE_SYNC

  Flag indicating that this action is valid as a synchronously executed sub-action in a node.

### ACTION_STATE_NODE_ASYNC

    public static final int ACTION_STATE_NODE_ASYNC

  Flag indicating that this action is valid as an asynchronously executed sub-action in a node.

### ACTION_STATE_COMMIT

    public static final int ACTION_STATE_COMMIT

  Flag indicating that this action is valid in an exception handler.

### ACTION_STATE_COMMIT_SYNC

    public static final int ACTION_STATE_COMMIT_SYNC

  Flag indicating that this action is valid as a synchronously executed sub-action in an exception handler's commit path.

### ACTION_STATE_COMMIT_ASYNC

    public static final int ACTION_STATE_COMMIT_ASYNC

  Flag indicating that this action is valid as an an asynchronously executed sub-action in an exception handler's commit path.

### ACTION_STATE_ROLLBACK

    public static final int ACTION_STATE_ROLLBACK

  Flag indicating that this action is valid as an an action in an exception handler's rollback path.

### ACTION_STATE_ROLLBACK_SYNC

    public static final int ACTION_STATE_ROLLBACK_SYNC

  Flag indicating that this action is valid as a synchronously executed sub-action in an exception handler's rollback path.

### ACTION_STATE_ROLLBACK_ASYNC

    public static final int ACTION_STATE_ROLLBACK_ASYNC

  Flag indicating that this action is valid as an an asynchronously executed sub-action in an exception handler's rollback path.

### ACTION_STATE_ALL

    public static final int ACTION_STATE_ALL

  Flag indicating that this action is valid under all action states. The value is the bitwise OR of all legal action states.

Constructor Detail

### ActionInfo

    public ActionInfo(java.lang.String pluginName,
                      int ID,
                      java.lang.String name,
                      java.lang.String description,
                      javax.swing.Icon icon,
                      int parentSystemID,
                      int actionStateMask,
                      java.lang.String[] classNames)

  Deprecated. To avoid using java.awt library.
  Create a new `ActionInfo` object. The action described does not have sub-actions.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this action.
    `ID` - The unique plugin-supplied identifier for this action.
    `name` - The localized name of this action.
    `description` - The localized description of this action.
    `icon` - The icon for this action. This icon is used by the 'interface view' facility.
    `classNames` - A three-element array to identify plugin-supplied classes related to this action. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is the corresponding fully qualified Java class name.
    `parentSystemID` - The system ID of this action's parent category.
    `actionStateMask` - A bit mask describing the action states in which this action is valid. The value is constructed by bitwise-ORing one or more of the following values:
    `ACTION_STATE_NODE`, `ACTION_STATE_NODE_SYNC`, `ACTION_STATE_NODE_ASYNC`, `ACTION_STATE_COMMIT`, `ACTION_STATE_COMMIT_SYNC`, `ACTION_STATE_COMMIT_ASYNC`, `ACTION_STATE_ROLLBACK`, `ACTION_STATE_ROLLBACK_SYNC`, `ACTION_STATE_ROLLBACK_ASYNC`.

### ActionInfo

    public ActionInfo(java.lang.String pluginName,
                      int ID,
                      java.lang.String name,
                      java.lang.String description,
                      javax.swing.Icon icon,
                      int parentSystemID,
                      int actionStateMask,
                      int actionStateTrans,
                      java.lang.String[] subActionLabels,
                      java.lang.String[] classNames)

  Deprecated. To avoid using java.awt library.
  Create a new `ActionInfo` object. The action described has one or more sub-action lists, all of which are executed either synchronously or asynchronously. A plugin action cannot define multiple subaction lists that are executed in different modes.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this action.
    `ID` - The unique plugin-supplied identifier for this action.
    `name` - The localized name of this action.
    `description` - The localized description of this action.
    `icon` - The icon for this action. This icon is used by the 'interface view' facility.
    `classNames` - Array to identify plugin-supplied classes related to this action. The array contains one entry for each of the key values listed above. The value for each entry is the corresponding fully qualified Java class name.
    `parentSystemID` - The system ID of this action's parent category.
    `actionStateMask` - A bit mask describing the action states in which this action is valid. The value is constructed by bitwise-ORing one or more of the following values:
    `ACTION_STATE_NODE`, `ACTION_STATE_NODE_SYNC`, `ACTION_STATE_NODE_ASYNC`, `ACTION_STATE_COMMIT`, `ACTION_STATE_COMMIT_SYNC`, `ACTION_STATE_COMMIT_ASYNC`, `ACTION_STATE_ROLLBACK`, `ACTION_STATE_ROLLBACK_SYNC`, `ACTION_STATE_ROLLBACK_ASYNC`.
    `actionStateTrans` - The action state transition that results from executing the action's sub actions. One of: `ACTION_STATE_TRANS_NONE`, `ACTION_STATE_TRANS_SYNC`, `ACTION_STATE_TRANS_ASYNC`.
    `subActionLabels` - Localized action list labels. Null if the action does not have sub actions. The array index of each label corresponds to the `index` parameter of the `ActionContext.executeSubActionList(int, com.bea.wlpi.server.common.ExecutionContext)` method. To execute a subaction list synchronously, the plugin action calls this method from its `PluginAction.execute(com.bea.wlpi.server.plugin.ActionContext, com.bea.wlpi.server.common.ExecutionContext)` method. To execute a subaction list asynchronously, the plugin action calls the method from its `PluginAction.response(com.bea.wlpi.server.plugin.ActionContext, com.bea.wlpi.server.common.ExecutionContext, java.lang.Object)` method. The latter call results from the public API call `Worklist.response(String, String, String, Object)` method, or a related overload.
  Throws:
    java.lang.IllegalArgumentException - if the value of `actionStateTrans` is invalid or does not agree with that for `subActionLabels`.

### ActionInfo

    public ActionInfo(java.lang.String pluginName,
                      int ID,
                      java.lang.String name,
                      java.lang.String description,
                      byte[] iconByteArray,
                      int parentSystemID,
                      int actionStateMask,
                      java.lang.String[] classNames)

  Create a new `ActionInfo` object. The action described does not have sub-actions.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this action.
    `ID` - The unique plugin-supplied identifier for this action.
    `name` - The localized name of this action.
    `description` - The localized description of this action.
    `iconByteArray` - The byte array representation of graphical image for this action. This icon is used by the 'interface view' facility.
    `classNames` - A three-element array to identify plugin-supplied classes related to this action. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is the corresponding fully qualified Java class name.
    `parentSystemID` - The system ID of this action's parent category.
    `actionStateMask` - A bit mask describing the action states in which this action is valid. The value is constructed by bitwise-ORing one or more of the following values:
    `ACTION_STATE_NODE`, `ACTION_STATE_NODE_SYNC`, `ACTION_STATE_NODE_ASYNC`, `ACTION_STATE_COMMIT`, `ACTION_STATE_COMMIT_SYNC`, `ACTION_STATE_COMMIT_ASYNC`, `ACTION_STATE_ROLLBACK`, `ACTION_STATE_ROLLBACK_SYNC`, `ACTION_STATE_ROLLBACK_ASYNC`.

### ActionInfo

    public ActionInfo(java.lang.String pluginName,
                      int ID,
                      java.lang.String name,
                      java.lang.String description,
                      byte[] iconByteArray,
                      int parentSystemID,
                      int actionStateMask,
                      int actionStateTrans,
                      java.lang.String[] subActionLabels,
                      java.lang.String[] classNames)

  Create a new `ActionInfo` object. The action described has one or more sub-action lists, all of which are executed either synchronously or asynchronously. A plugin action cannot define multiple subaction lists that are executed in different modes.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this action.
    `ID` - The unique plugin-supplied identifier for this action.
    `name` - The localized name of this action.
    `description` - The localized description of this action.
    `iconByteArray` - The byte array representation of graphical image for this action. This icon is used by the 'interface view' facility.
    `classNames` - Array to identify plugin-supplied classes related to this action. The array contains one entry for each of the key values listed above. The value for each entry is the corresponding fully qualified Java class name.
    `parentSystemID` - The system ID of this action's parent category.
    `actionStateMask` - A bit mask describing the action states in which this action is valid. The value is constructed by bitwise-ORing one or more of the following values:
    `ACTION_STATE_NODE`, `ACTION_STATE_NODE_SYNC`, `ACTION_STATE_NODE_ASYNC`, `ACTION_STATE_COMMIT`, `ACTION_STATE_COMMIT_SYNC`, `ACTION_STATE_COMMIT_ASYNC`, `ACTION_STATE_ROLLBACK`, `ACTION_STATE_ROLLBACK_SYNC`, `ACTION_STATE_ROLLBACK_ASYNC`.
    `actionStateTrans` - The action state transition that results from executing the action's sub actions. One of: `ACTION_STATE_TRANS_NONE`, `ACTION_STATE_TRANS_SYNC`, `ACTION_STATE_TRANS_ASYNC`.
    `subActionLabels` - Localized action list labels. Null if the action does not have sub actions. The array index of each label corresponds to the `index` parameter of the `ActionContext.executeSubActionList(int, com.bea.wlpi.server.common.ExecutionContext)` method. To execute a subaction list synchronously, the plugin action calls this method from its `PluginAction.execute(com.bea.wlpi.server.plugin.ActionContext, com.bea.wlpi.server.common.ExecutionContext)` method. To execute a subaction list asynchronously, the plugin action calls the method from its `PluginAction.response(com.bea.wlpi.server.plugin.ActionContext, com.bea.wlpi.server.common.ExecutionContext, java.lang.Object)` method. The latter call results from the public API call `Worklist.response(String, String, String, Object)` method, or a related overload.
  Throws:
    java.lang.IllegalArgumentException - if the value of `actionStateTrans` is invalid or does not agree with that for `subActionLabels`.

Method Detail

### getActionStateTrans

    public int getActionStateTrans()

  Return the action state transition caused by opening an action dialog.

  Returns:
    The action state transition, if any.

### getIcon

    public javax.swing.Icon getIcon()

  Return the plugin-provided icon for this action.

  Returns:
    The action icon.

### getSubActionLabels

    public java.lang.String[] getSubActionLabels()

  Return the localized labels to use for each subaction list. The size of the returned array indicates the number of subaction lists supported by this action.

  Returns:
    Localized subaction list labels.

### isValidActionState

    public boolean isValidActionState(int actionState)

  Indicates if the specified action is valid in the specified action state.

  Parameters:
    `The` - current action state.
  Returns:
    `true` if valid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)